QGIS Application - Bug report #16577

Extremely slower time to open attribute table in 2.18.7 compared to 2.14.14

2017-05-18 11:23 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.18.7 Regression?:
Operating System: Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corrupls data:

Yes
No

fixed/implemented

Copied to github as #: 24479

Description

This could be related to #16239 and/or #15752

| have tested a 758719 polygon features on 2.18.7 (no debug output) and to open the table it takes over 6 minutes!

The same table on 2.14.14 (no debug output) open in a few seconds.

Can provide the dataset.

Rendering time is very similar.

Related issues:

Related to QGIS Application - Bug report # 16239: master: (much) slower rende...
Related to QGIS Application - Bug report # 15752: Degradation of rendering pe...

Closed
Closed

2017-02-27
2016-10-25

Associated revisions

Revision b97a980b - 2017-05-22 11:07 AM - Nyall Dawson
Greatly speed up attribute table loading

Don't advise for rows added when a model reset is in progress.
Otherwise the rows are tested for sort order, etc triggering

a bunch of useless calculations, given that the model is in

the process of being reset anyway.

Tested using a 150k point shapefile, decreased attribute table
load times from 50+ seconds to 4 seconds.

Refs #16577, #16239

Revision ebd3e0d7 - 2017-05-23 01:35 AM - Nyall Dawson
Greatly speed up attribute table loading

Don't advise for rows added when a model reset is in progress.
Otherwise the rows are tested for sort order, etc triggering

a bunch of useless calculations, given that the model is in

the process of being reset anyway.

Tested using a 150k point shapefile, decreased attribute table
load times from 50+ seconds to 4 seconds.

Refs #16577, #16239

(forward port from b97a980b99a32f7cbbb8cc32ac6a781246df1171)

Revision 0b95c¢776 - 2017-05-23 01:59 AM - Nyall Dawson

Don't prefetch attribute table sort values when no sorting set

Shaves some seconds off opening the attribute table in certain
circumstances (no sorting applied)

Refs #16577, #16239

Revision 4acc4805 - 2017-05-23 08:05 AM - Nyall Dawson
Don't prefetch attribute table sort values when no sorting set
Shaves some seconds off opening the attribute table in certain
circumstances (no sorting applied)

Drops load time for table from 100 seconds to 50 seconds for a
2.6 million feature shapefile, and from 6.5 seconds to 3.5 seconds
for a 160k feature shapefile.

Refs #16577, #16239

(cherry-picked from 0b95c77)

History

#1 - 2017-05-19 07:59 AM - Alessandro Pasotti

Is that a point release build or a particular commit?

#2 - 2017-05-19 08:56 AM - Jiirgen Fischer

- Description updated

#3 - 2017-05-19 08:56 AM - Jiirgen Fischer
- Related to Bug report #16239: master: (much) slower rendering (and attribute table opening) time compared to 2.18.4 added

#4 - 2017-05-19 08:56 AM - Jiirgen Fischer
- Related to Bug report #15752: Degradation of rendering performances in MSSQL provider added

#5 - 2017-05-19 09:47 AM - Giovanni Manghi

Alessandro Pasotti wrote:

Is that a point release build or a particular commit?
qgis 2.14.14 and 2.18.7 as installed by a normal user from osgeo4w under a clean Windows 7 environment.

Same observation on Ubuntu Linux from qgis repositories (the ones using also ubuntugis).

#6 - 2017-05-20 09:33 PM - Giovanni Manghi

see also:

https://lists.osgeo.org/pipermail/qgis-psc/2017-May/005258.html

#7 - 2017-05-25 12:36 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

A bunch of fixes have been implemented in master and 2.18 which restore the performance to 2.14.0 levels
